/* reset css */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* reset css */
:root {
  --black: #111;
  --lightgreen: #dfece9;
  --purple: #853a93;
  --gray: #6b6b6b;
  --white: #ffff;
  --drakgray: #959595;
  --lightblue: #e0e9f2;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "SWZ721E";
}

html {
  scroll-behavior: smooth;
}

#milestones,
#management,
#vision2025 {
  scroll-margin-top:300px;
  /* Adjust this value based on your header height */
}

/* Extended BT font */
@font-face {
  font-family: "SWZ721E";
  src: url("../assets/fonts/SWZ721E.ttf");
}
/* Extended LIGHT BT font */
@font-face {
  font-family: "SWZ721L";
  src: url("../assets/fonts/SWZ721L.ttf");
}
/* BT font */
@font-face {
  font-family: "SWZ721N";
  src: url("../assets/fonts/SWZ721N.ttf");
}
/* mt font */
@font-face {
  font-family: "SWZ721M";
  src: url("../assets/fonts/SWZ721M.ttf");
}
/* thin font */
@font-face {
  font-family: "SWZ721T";
  src: url("../assets/fonts/SWZ721N.ttf");
}
/* thin extended font */
@font-face {
  font-family: "SWZ721LE";
  src: url("../assets/fonts/SWZ721LE.ttf");
}
/* thin normal light font */
@font-face {
  font-family: "SWZ721T";
  src: url("../assets/fonts/SWZ721T.ttf");
}

/* MTBT font */

@font-face {
  font-family: "SWZ721M";
  src: url("../assets/fonts/SWZ721M.ttf");
}
body {
  font-weight: 400;
  color: var(--black);
}
.container_blue {
  background: var(--lightblue);
}
.heading_title {
  color: var(--purple);
  font-size: 36px;
  font-family: "SWZ721E";
  margin-left: 10px !important;
}





/*------------- header ------------------------- */
.nav-item {
  padding: 0.5rem 0px;
}

.dropdown-hover:hover > .dropdown-menu {
  display: inline-block;
}
a.dropdown-item.active {
  background: transparent;
  color: var(--purple);
  font-weight: bold;
}
.dropdown-hover > .dropdown-toggle:active {
  /*Without this, clicking will make it sticky*/
  pointer-events: none;
}

.navbar-nav .dropdown-menu {
  position: absolute;
  left: 0;
  width: 100% !important;
}
.navbar_logo {
  width: 170px;
}

.navbar {
  padding: 20px;
  height: 80px;
  position: sticky;
  top: 18px;
  z-index: 222;
}
.navbar-collapse {
  flex-grow: unset;
}
.mega-dropdown {
  position: static;
}
.search-icon {
  margin-bottom: 0;
  width: 18px;
  cursor: pointer;
}
div#header {
  position: sticky;
  top: 0;
  z-index: 99;
}

/* Show dropdown on hover */
.nav-item.dropdown.mega-dropdown:hover .dropdown-menu {
  display: block;
  margin-top: 0;
  width: 100%;
  background: hsla(0, 0%, 100%, 0.820);
}
/* overlay */

.overlay {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  right: 0;
  background-color: rgba(255, 255, 255);
  overflow-x: hidden;
  transition: 0.5s;
}

.overlay-content {
  position: relative;
  top: 25%;
  width: 100%;
  text-align: center;
  margin-top: 30px;
}

.overlay a {
  padding: 8px;
  text-decoration: none;
  font-size: 36px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.overlay a:hover,
.overlay a:focus {
  color: #f1f1f1;
}

.overlay .closebtn {
  position: absolute;
  top: 20px;
  right: 45px;
  font-size: 60px;
  font-weight: 300;
}
.overlay-content {
  padding-left: 50px;
}
.overlay-content h2 {
  text-align: left;
  color: var(--black);
  font-weight: 300;
  font-size: 34px;
  font-family: "SWZ721E";
}
.search_container {
  text-align: left;
  margin-top: 43px;
  width: 60%;
  position: relative;
}
.search_container input[type="text"] {
  background: transparent;
  color: var(--black);
  border: 0;
  border-bottom: 1px solid var(--black);
  padding-bottom: 10px;
  width: 100%;
  outline: 0;
}
.search_container img {
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
  padding-bottom: 20px;
}
.slick-list {
  padding: 0 20% 0 0 !important;
}

@media screen and (max-height: 450px) {
  .overlay a {
    font-size: 20px;
  }
  .overlay .closebtn {
    font-size: 40px;
    top: 15px;
    right: 35px;
    font-weight: 300;
  }
}

/* overlay */

.mega-menu {
  width: 100%;
  left: 0;
  right: 0;
  border: none;
  border-radius: 0;
  background-color: #fff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.mega-menu .dropdown-item:hover {
  background-color: transparent;
}
.list_bold a {
  font-weight: 600;
}
/* Show dropdowns on hover */
.navbar .dropdown:hover > .dropdown-menu {
  display: block;
  margin-top: 0;
}

/* Smooth hover experience */
.dropdown-menu {
  transition: all 0.3s ease-in-out;
}

/* Optional: Prevent layout shift when menus appear */
.navbar .dropdown-menu {
  margin-top: 0;
  top: 100%;
}

/* For mega menu */
.mega-dropdown {
  position: static;
}
h6.text-uppercase {
  font-weight: 600;
  font-family: "SWZ721L";
}

.mega-menu {
  width: 100%;
  left: 0;
  right: 0;
  border: none;
  border-radius: 0;
  background-color: rgba(255, 255, 255, 0.9);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  display: none;
  position: absolute;
  top: 100%;
  z-index: 1000;
}

.mega-dropdown:hover .mega-menu {
  display: block;
}
.navbar .dropdown-menu {
  top: 100%;
  margin-top: 0;
}
.navbar-nav .nav-link {
  font-size: 15px;
  font-family: "SWZ721T";
  color: #111 !important;
  position: relative;
}
.dropdown-toggle::after {
  background-image: url(../assets/img/down-arrow.png);
  height: 10px;
  border: 0;
  width: 10px;
  background-size: 100%;
  content: "";
  position: absolute;
  top: 14px;
  width: 8px;
  right: -6px;
  background-repeat: no-repeat;
}
a.nav-link.active::before,
a.nav-link:hover::before {
  content: "";
  height: 4px;
  width: 100%;
  background: var(--purple);
  display: inline-block;
  position: absolute;
  bottom: -9px;

  left: 0;
}
a#button_scroll img {
  width: 32px;
}
.navbar-expand-xl .navbar-nav {
  gap: 22px;
  align-items: center;
}
.flex_container {
  display: flex;
  justify-content: center;
  gap: 80px;
}
.list-unstyled li .dropdown-item {
  padding-left: 0;
  transition: all 0.3s ease-in;
  font-family: "SWZ721T";
  /*font-weight: 600;*/
}
.active-megamenu {
  border: 2px solid #007bff; /* or any style you want */
  background-color: #f0f8ff;
}

.list_bold .list-unstyled li .dropdown-item {
  font-weight: 600;
}
.list-unstyled li .dropdown-item:hover {
  color: var(--purple);
}
.navbar-light .navbar-toggler {
  box-shadow: none;
}
.mega-dropdown:hover > .mega-menu {
  display: block;
  visibility: visible;
  opacity: 1;
}

.mega-menu {
  display: none;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: auto;
  z-index: 1000;
}

.mega-dropdown:hover .mega-menu {
  display: block;
  visibility: visible;
  opacity: 1;
}

.navbar .dropdown:hover > .dropdown-menu.dropdown_megamenu {
  display: none;
}
.dropdown-menu.dropdown_megamenu.w-100.mt-0.showItem {
  display: flex;
}
.closebtn_menu {
  display: none;
}
ul.list-unstyled.list_bold li a h6:hover {
    color: var(--purple);
}
.flex_element a h6:hover{
    color: var(--purple)!important;
}

.flex_element h6 a:hover{
    color: var(--purple)!important;
}
@media (max-width: 768px) {
  .overlay-content h2 {
    font-size: 30px;
  }
  .search_container {
    width: 90%;
  }
  .heading_title {
    font-size: 30px;
  }
  .footer-column {
    width: 100%;
  }
  .footer-column.footer_last ul li {
    line-height: 1.4;
  }
}

.navbar .dropdown-menu {
  border: none;
}
@media screen and (min-width: 992px) {
  .navbar {
    padding-top: 0px;
    padding-bottom: 0px;
  }

  /* makes the dropdown full width  */
  .navbar .dropdown {
    position: static;
  }

  .navbar .dropdown-menu {
    width: 100%;
    left: 0;
    right: 0;
    /*  height of nav-item  */
    top: 68px;
    display: block;
    visibility: hidden;
    opacity: 0;
  }

  /* shows the dropdown menu on hover */
  .navbar .dropdown:hover .dropdown-menu,
  .navbar .dropdown .dropdown-menu:hover {
    display: block;
    visibility: visible;
    opacity: 1;
  }

  .navbar .dropdown-menu {
    border: 1px solid rgba(0, 0, 0, 0.15);
    background-color: #fff;
  }
}

@media (max-width: 1200px) {
  .navbar-expand-xl .navbar-nav {
    align-items: flex-start;
    margin-top: 30px;
  }

  .nav-item.dropdown.mega-dropdown:hover .dropdown-menu {
    display: none !important;
    margin-top: 6px;
    width: 100%;
    background: rgba(255, 255, 255, 1);
  }
  .nav-item.dropdown.mega-dropdown:hover .dropdown-menu.show_menu {
    display: block !important;
  }
  .flex_container {
    justify-content: flex-start;
  }
  a.nav-link.active::before,
  a.nav-link:hover::before {
    display: none;
  }
  .navbar {
    height: unset;
    padding: 20px !important;
  }
  .navbar .dropdown-menu {
    display: none;
    position: relative;
  }
  .nav-item.dropdown.mega-dropdown:hover .dropdown-menu {
    position: static;
  }
  .navbar-expand-xl .navbar-nav {
    gap: 0;
  }
  .nav-item {
    padding: 0.5rem 0px;
    border-bottom: 1px solid rgb(246, 216, 158);
    width: 100%;
  }
  li.nav-item.nav_search {
    border-bottom: 0;
  }

  .nav-item.dropdown.mega-dropdown .dropdown-menu {
    display: none;
    visibility: visible;
  }
  .nav-item.dropdown.mega-dropdown.show .dropdown-menu {
    display: block;
    visibility: visible;
  }
  .mega-dropdown:hover .mega-menu {
    display: none;
    visibility: visible;
  }
}

@media (max-width: 768px) {
  .offcanvas-collapse {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    width: 90%;
    background-color: white;
    padding: 1rem;
    overflow-y: auto;
    transition: transform 0.3s ease-in-out;
    z-index: 1045;
  }
  .dropdown-toggle::after {
    height: 10px;
    width: 10px;
    right: 10px;
  }
  a.closebtn_menu {
    font-size: 33px;
    display: flex;
    justify-content: flex-end;
    color: gray;
    text-decoration: none;
  }
  .nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
  }

  .nav-scroller .nav {
    display: flex;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
    margin-top: -1px;
    overflow-x: auto;
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
  }

  .nav-underline .nav-link {
    padding: 0.75rem 1rem;
    font-size: 0.875rem;
    color: orange;
  }
  .noscroll {
    overflow: hidden;
  }
  .nav-underline .nav-link:hover {
    color: var(--blue);
  }

  .nav-underline .active {
    font-weight: 500;
    color: var(--purple);
  }
}

/* --------------- footer starts ----------- */

.footer-follow {
  display: flex;
  align-items: center;
  margin-bottom: 68px;
  gap: 128px;
}
.footer-follow .heading_title {
  margin-bottom: 0;
}
.footer-info {
  display: flex;
  justify-content: space-between;
}
.bg_gray {
  background: #f3f2f2;
}

.bg_gray .heading_title {
  font-family: "SWZ721E";
  font-weight: 700;
}
.social-icons a img {
  width: 55px;
}
.footer-column h4 {
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 20px;
  font-family: "Swis721WGL4BTBold", sans-serif;
}
.footer-column p {
  margin-bottom: 0;
  font-family: "Swis721 Lt BT", sans-serif;
  font-size: 15px;
}
.footer-column ul li img {
  filter: contrast(0);
  width: 9px;
  margin-right: 10px;
}
.footer-column.footer_last ul li {
  line-height: 1.7;
  margin-bottom: 16px;
}
.footer-column.footer_last ul li img {
  display: none;
}
.footer-column ul li {
  list-style: none;
  margin-bottom: 6px;
  font-size: 15px;
  font-family: "SWZ721LE";
}
.footer-column ul li a {
  text-decoration: none;
  color: var(--black);
  transition: all 0.3s ease-in-out;
  font-size: 16px;
}

.footer-column ul li a:hover {
  color: var(--purple);
}
.footer-column ul {
  padding-left: 0;
}
.social-icons {
  display: flex;
  gap: 100px;
  margin-top: -26px;
}
.footer-column1 {
  width: 30%;
}
.footer-column1 p a {
  color: var(--black);
  text-decoration: none;
  transition: all 0.3s ease-in-out;
}
.footer-column1 p a:hover {
  text-decoration: underline;
}
#button_scroll.show {
  opacity: 1;
  visibility: visible;
}
#button_scroll {
  display: inline-block;
  background-color: var(--purple);
  text-align: center;
  border-radius: 4px;
  position: fixed;
  bottom: 80px;
  right: 0;
  transition: background-color 0.3s, opacity 0.5s, visibility 0.5s;
  opacity: 0;
  visibility: hidden;
  z-index: 1000;
  display: flex;
  align-items: center;
  cursor: pointer;
  justify-content: center;
}
.bold_text {
  font-family: "SWZ721M" !important;
}
.search-input.active {
    padding: 4px 8px 3px 40px!important;
    outline: 0;
    border: 0!important;
}
@keyframes swing {
  20% { transform: rotate(0.2deg); }
  40% { transform: rotate(-0.2deg); }
  60% { transform: rotate(0.2deg); }
  80% { transform: rotate(-0.2deg); }
  100% { transform: rotate(0deg); }
}

.swing {
  animation: swing 10s ease-in;
  transform-origin: top center; /* Pivot from the top center */
  display: inline-block;
}
.slick-dots li button:before,.slick-dots li button{
  width: 10px;
  height: 10px;
  line-height: 0;
}
    .footer-column.footer_last ul li {
        margin-bottom: 16px;
    }
@keyframes upDown {
  0% {
    transform: translateY(0);
    opacity: 1;
  }
  50% {
    transform: translateY(-10px); /* Move up */
  }
  100% {
    transform: translateY(-10px); /* Move up */
  }
}

.updown {
  animation: upDown 3s ease-in-out infinite;
  display: inline-block;
}

@media (max-width: 992px) {
  .footer-follow {
    gap: 20px;
  }
  .banner {
    margin-top: 0 !important;
  }
  .social-icons {
    margin-top: 0;
  }
  .navbar {
    top: 0;
  }
  .social-icons a img {
    width: 30px;
  }
  .social-icons {
    gap: 30px;
    margin-left: 30px;
  }
  .footer-info {
    flex-wrap: wrap;
    gap: 40px;
  }
  .desc_group {
    flex-wrap: wrap;
  }
}
@media (max-width: 768px) {
  .footer-info {
    flex-wrap: wrap;
    gap: 30px;
  }
  .footer-column1 {
    width: 100%;
  }
  .footer-column p {
    font-size: 14px;
  }
  .footer-column ul li:last-child {
    margin-bottom: 0;
  }
  .footer-column h4 {
    margin-bottom: 10px;
  }
  .footer-follow {
    margin-bottom: 40px;
  }
  .blank_data {
    display: none;
  }
  .footer-follow {
    flex-wrap: wrap;
  }
  .social-icons {
    margin-left: 0;
    width: 100%;
  }
}

/* ---------------- footer ends ------------------------ */
{
    width: 10px;
    height: 10px;
    line-height: 0;
}
.footer-column.footer_last ul li {
    margin-bottom: 16px;
}
@keyframes upDown {
    0% {
        transform: translateY(0);
        opacity: 1;
    }
    50% {
        transform: translateY(-10px); /* Move up */
    }
    100% {
        transform: translateY(-10px); /* Move up */
    }
}

.updown {
    animation: upDown 3s ease-in-out infinite;
    display: inline-block;
}

@media (max-width: 992px) {
    .footer-follow {
        gap: 20px;
    }
    .banner {
        margin-top: 0 !important;
    }
    .social-icons {
        margin-top: 0;
    }
    .navbar {
        top: 0;
    }
    .social-icons a img {
        width: 30px;
    }
    .social-icons {
        gap: 30px;
        margin-left: 30px;
    }
    .footer-info {
        flex-wrap: wrap;
        gap: 40px;
    }
    .desc_group {
        flex-wrap: wrap;
    }
    .footer-column1,
    .footer-column {
        width: 100%;
    }
    h4.blank_data {
        display: none;
    }
    .flex_element {
        width: 100%;
    }
}
@media (max-width: 768px) {
    .footer-info {
        flex-wrap: wrap;
        gap: 30px;
    }
    .footer-column1 {
        width: 100%;
    }
    .footer-column p {
        font-size: 14px;
    }
    .footer-column ul li:last-child {
        margin-bottom: 0;
    }
    .footer-column h4 {
        margin-bottom: 10px;
    }
    .footer-follow {
        margin-bottom: 40px;
    }
    .blank_data {
        display: none;
    }
    .footer-follow {
        flex-wrap: wrap;
    }
    .social-icons {
        margin-left: 0;
        width: 100%;
    }
}

/* ---------------- footer ends ------------------------ */
